unit ImageDisp;
{*********************************************************************
 *  Hauptprogramm zum "MakeHPGL"                        Date: 01.03.99
 *  (c) M. Magnin
 *********************************************************************
 *  Datei            : ImageDisp.pas
 *  Version          : 0.0 (beta01)
 *  letzte Aenderung : 12.03.99
 *********************************************************************
 *  Kommentar:
 *  Das Programm wurde kommpiliert mit Delphi V4.0 standard.
 *********************************************************************
 *  Datum nderungen
 *********************************************************************}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls;

type
  TImageDispForm = class(TForm)
    Image: TImage;
    procedure DispClose(Sender: TObject; var Action: TCloseAction);
    procedure FormPaint(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ImageMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  ImageDispForm: TImageDispForm;

implementation

uses Makegl1;

{$R *.DFM}

procedure TImageDispForm.DispClose(Sender: TObject;
  var Action: TCloseAction);
begin
  MakeGL.MenuVorschau.Checked := False;
end;

Procedure TImageDispForm.FormPaint(Sender: TObject);
Begin;    { Das brauchts damit das Canvas Objekt initialisiert wird }
  ImageDispForm.Image.Canvas.Pen.Color:=clWhite;
  ImageDispForm.Image.Canvas.MoveTo(1,1);
  ImageDispForm.Image.Canvas.LineTo(1,1);
End;

procedure TImageDispForm.FormCreate(Sender: TObject);
begin
    ImageDispForm.Top := MakeGL.Top;
    ImageDispForm.Left := MakeGL.Left + MakeGL.Width + 10;
    ImageDispForm.Show;
    ImageDispForm.Visible := True;
    ImageDispForm.FormStyle := fsNormal;
{    ImageDispForm.Caption := Titel + ' - [namenlos]';}
end;

Procedure TImageDispForm.ImageMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Begin
  MausPos := Point(X, Y);
End;

end.
